Module javafx.graphics
Package javafx.scene.input

# Enum Class ScrollEvent.HorizontalTextScrollUnits

java.lang.Object
java.lang.Enum<ScrollEvent.HorizontalTextScrollUnits>
javafx.scene.input.ScrollEvent.HorizontalTextScrollUnits

All Implemented Interfaces:
  `Serializable`, `Comparable<ScrollEvent.HorizontalTextScrollUnits>`, `Constable`

Enclosing class:
  `ScrollEvent`

public static enum ScrollEvent.HorizontalTextScrollUnits extends Enum<ScrollEvent.HorizontalTextScrollUnits>
Horizontal text-based scrolling units.

Since:
  JavaFX 2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHARACTERS`
The horizontal text-based scrolling amount is a number of characters to scroll.
`NONE`
The horizontal text-based scrolling data is not available (not provided by the underlying platform).

## Method Summary

Modifier and Type
Method
Description
`static ScrollEvent.HorizontalTextScrollUnits`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ScrollEvent.HorizontalTextScrollUnits[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final ScrollEvent.HorizontalTextScrollUnits NONE
The horizontal text-based scrolling data is not available (not provided by the underlying platform).

### CHARACTERS

public static final ScrollEvent.HorizontalTextScrollUnits CHARACTERS
The horizontal text-based scrolling amount is a number of characters to scroll.

## Method Details

### values

public static ScrollEvent.HorizontalTextScrollUnits[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ScrollEvent.HorizontalTextScrollUnits valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null